/*
 * @Author: codingfly
 * @Description:
 * @Date: 2021-08-12 11:06:00
 * @LastEditTime: 2021-09-06 09:02:00
 * @FilePath: \young\components\form-value\index.tsx
 */
import * as React from 'react';
import { View } from 'remax/one';
import { getPrefixCls } from './../common';
var prefixCls = getPrefixCls('form-value');

var Value = function Value(props) {
  var placeholder = props.placeholder,
      style = props.style,
      textAlign = props.textAlign,
      children = props.children,
      onTap = props.onTap;
  return /*#__PURE__*/React.createElement(View, {
    className: prefixCls,
    style: Object.assign(Object.assign({}, style), {
      textAlign: textAlign
    }),
    onTap: onTap
  }, children || children === 0 ? children : /*#__PURE__*/React.createElement(View, {
    className: "".concat(prefixCls, "-placeholder")
  }, placeholder));
};

export default Value;